Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDTRANSACTIONMYCARENETvalues

    java.lang.Object
      java.lang.Enum<CDTRANSACTIONMYCARENETvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDTRANSACTIONMYCARENETvalues

All Implemented Interfaces:
  Serializable, Comparable<CDTRANSACTIONMYCARENETvalues>

    public enum CDTRANSACTIONMYCARENETvalues

extends Enum<CDTRANSACTIONMYCARENETvalues>

Java class for CD-TRANSACTION-MYCARENETvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTION-MYCARENETvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="gmd"/>
         <enumeration value="gmdclosure"/>
         <enumeration value="gmdextension"/>
         <enumeration value="tariff"/>
         <enumeration value="tariffmediprima"/>
         <enumeration value="cga"/>
         <enumeration value="cgd"/>
         <enumeration value="mea"/>
         <enumeration value="cgacancellation"/>
         <enumeration value="maa"/>
         <enumeration value="maaextension"/>
         <enumeration value="maaappendix"/>
         <enumeration value="maacancellation"/>
         <enumeration value="maaclosure"/>
         <enumeration value="maaagreement"/>
         <enumeration value="maarefusal"/>
         <enumeration value="maaintreatment"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CGA`
`CGACANCELLATION`
`CGD`
`GMD`
`GMDCLOSURE`
`GMDEXTENSION`
`MAA`
`MAAAGREEMENT`
`MAAAPPENDIX`
`MAACANCELLATION`
`MAACLOSURE`
`MAAEXTENSION`
`MAAINTREATMENT`
`MAAREFUSAL`
`MEA`
`TARIFF`
`TARIFFMEDIPRIMA`

Method Summary
`static CDTRANSACTIONMYCARENETvalues` | `fromValue(String v)`
`String` | `value()`
`static CDTRANSACTIONMYCARENETvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTRANSACTIONMYCARENETvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GMD

    public static final CDTRANSACTIONMYCARENETvalues GMD

### GMDCLOSURE

    public static final CDTRANSACTIONMYCARENETvalues GMDCLOSURE

### GMDEXTENSION

    public static final CDTRANSACTIONMYCARENETvalues GMDEXTENSION

### TARIFF

    public static final CDTRANSACTIONMYCARENETvalues TARIFF

### TARIFFMEDIPRIMA

    public static final CDTRANSACTIONMYCARENETvalues TARIFFMEDIPRIMA

### CGA

    public static final CDTRANSACTIONMYCARENETvalues CGA

### CGD

    public static final CDTRANSACTIONMYCARENETvalues CGD

### MEA

    public static final CDTRANSACTIONMYCARENETvalues MEA

### CGACANCELLATION

    public static final CDTRANSACTIONMYCARENETvalues CGACANCELLATION

### MAA

    public static final CDTRANSACTIONMYCARENETvalues MAA

### MAAEXTENSION

    public static final CDTRANSACTIONMYCARENETvalues MAAEXTENSION

### MAAAPPENDIX

    public static final CDTRANSACTIONMYCARENETvalues MAAAPPENDIX

### MAACANCELLATION

    public static final CDTRANSACTIONMYCARENETvalues MAACANCELLATION

### MAACLOSURE

    public static final CDTRANSACTIONMYCARENETvalues MAACLOSURE

### MAAAGREEMENT

    public static final CDTRANSACTIONMYCARENETvalues MAAAGREEMENT

### MAAREFUSAL

    public static final CDTRANSACTIONMYCARENETvalues MAAREFUSAL

### MAAINTREATMENT

    public static final CDTRANSACTIONMYCARENETvalues MAAINTREATMENT

Method Detail

### values

    public static CDTRANSACTIONMYCARENETvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTRANSACTIONMYCARENETvalues c : CDTRANSACTIONMYCARENETvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTRANSACTIONMYCARENETvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTRANSACTIONMYCARENETvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.